# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# We need to patch the test suite if we have old versions of Test::More and Carp
%global old_test_more %(perl -MTest::More -e 'print (($Test::More::VERSION < 0.88) ? 1 : 0);' 2>/dev/null || echo 0)

Name:		perl-Child
Version:	0.009
Release:	8.%{__distinit}%{__distvers}
Summary:	Object oriented simple interface to fork()
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Child/
Source0:	http://search.cpan.org/CPAN/authors/id/E/EX/EXODIST/Child-%{version}.tar.gz
Patch0:		Child-0.009-old-Test::more.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(Exporter) >= 5.57
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(POSIX)
BuildRequires:	perl(Test::More) >= 0.47
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(POSIX)

%description
Fork is too low level and difficult to manage. Often people forget to exit
at the end, reap their children, and check exit status. The problem is the
low level functions provided to do these things. Throw in pipes for IPC and
you just have a pile of things nobody wants to think about.

%prep
%setup -q -n Child-%{version}

# We need to patch the test suite if we have old versions of Test::More and Carp
%if %{old_test_more}
%patch0
%endif

%build
perl Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot} create_packlist=0
%{_fixperms} %{buildroot}

%check
./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README
%{perl_vendorlib}/Child.pm
%{perl_vendorlib}/Child/
%{_mandir}/man3/Child.3pm*
%{_mandir}/man3/Child::IPC::Pipe.3pm*
%{_mandir}/man3/Child::Link.3pm*
%{_mandir}/man3/Child::Link::IPC.3pm*
%{_mandir}/man3/Child::Link::IPC::Pipe.3pm*
%{_mandir}/man3/Child::Link::IPC::Pipe::Parent.3pm*
%{_mandir}/man3/Child::Link::IPC::Pipe::Proc.3pm*
%{_mandir}/man3/Child::Link::Parent.3pm*
%{_mandir}/man3/Child::Link::Proc.3pm*
%{_mandir}/man3/Child::Util.3pm*

%changelog
* Wed Aug 14 2013 Paul Howarth <paul@city-fan.org> - 0.009-8
- Import from Fedora

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.009-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 18 2013 Petr Pisar <ppisar@redhat.com> - 0.009-6
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.009-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.009-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 11 2012 Petr Pisar <ppisar@redhat.com> - 0.009-3
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.009-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Aug 11 2011 Iain Arnell <iarnell@gmail.com> 0.009-1
- Specfile autogenerated by cpanspec 1.78
